public class T3ExpectedOutput {
	private String expectedOutput;
	private String executionResult;
	private String m_configuration;

	public String getExpectedOutput() {
		return expectedOutput;
	}

	public void setExpectedOutput(String expectedOutput) {
		this.expectedOutput = expectedOutput;
	}

	public String getExecutionResult() {
		return executionResult;
	}

	public void setExecutionResult(String executionResult) {
		this.executionResult = executionResult;
	}

	@Override
	public String toString() {
		return "T3ExpectedOutput [expectedOutput=" + expectedOutput
				+ ", executionResult=" + executionResult + "]";
	}

	public void setConfiguration(String config) {
		m_configuration = config;
	}

	public String getConfiguration() {
		return m_configuration;
	}

	public boolean isConfiguration(String config) {
		return m_configuration != null && m_configuration.equals(config);
	}
}
